package com.xy.utils.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * 佣金费用结算状态 （1 未结算、结算中、2 已结算）
 */
@Getter
@ToString
@AllArgsConstructor
public enum MercFeeSettleSate {


    S1(1, "未结算"),
    S2(2, "结算中"),
    S3(3, "已结算"),
    ;

    /**
     * 编码值
     */
    private Integer code;

    /**
     * 描述
     */
    private String description;


    /**
     * 通过code获取enum
     *
     * @param code
     * @return
     */
    public static MercFeeSettleSate getEnumByCode(Integer code) {
        MercFeeSettleSate[] values = values();
        for (MercFeeSettleSate value : values) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }
}
